################################################################################
# /IOTstack/.templates/tfrec-mqtt/service.yml
################################################################################
tfrec-mqtt:
    container_name: tfrec-mqtt
    image: "ckware/tfrec-mqtt"
    restart: unless-stopped
#   init: true
    environment:
      MQTT_TOPIC: "tfrec"
#     MQTT_TOPIC_APPEND_ID: "true"
#     MQTT_TOPIC_APPEND_FORMAT: "true"
      MQTT_OPTIONS: "-h mosquitto"
#     FORMAT_RAW: "false"
#     FORMAT_RAW_SEPARATOR: " "
      FORMAT_JSON: "true"
#     FORMAT_JSON_LOWBAT_AS_BOOLEAN: "false"
    devices:
    - "/dev/bus/usb:/dev/bus/usb"
    networks:
    - iotstack_nw

    command:  [ "tfrec", "-f", "868300", "-e", "mqtt-publish" ]
#             [ "tfrec", "-T", "1", "-g", "13", "-t", "1000", "-q", "-e", "mqtt-publish" ]

